Live Transcoding Profiles/FiltersCreate Transcoding Filter

Create Transcoding Filter

Create File Transcoding Filters

curl -X POST "https://api.5centscdn.com/v2/streams/settings/filters/new" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "name": "My Logo Watermark",
  "filter": "overlay",
  "args": "null"
}'
{
  "result": "success",
  "message": "Transcoding Settings, New Filter Created",
  "filterid": 430
}
POST
/streams/settings/filters/new
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

Display name for the new filter.

filterstring
Required

Filter type identifier. overlay = image watermark. drawtext = text watermark. img2video = use a static image as the video source. videoloop = loop a video file as the video source. Allowed values: overlay, drawtext, img2video, videoloop.

argsobject
Required

Filter-specific arguments. The key must match the filter type value and contains the settings object for that filter type.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
namestring
Required

Display name for the new filter.

Example:
My Logo Watermark
filterstring
Required

Filter type identifier. overlay = image watermark. drawtext = text watermark. img2video = use a static image as the video source. videoloop = loop a video file as the video source. Allowed values: overlay, drawtext, img2video, videoloop.

Example:
overlay
argsobject
Required

Filter-specific arguments. The key must match the filter type value and contains the settings object for that filter type.

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.

filteridinteger

The ID of the newly created filter.